Piwigo Bugtracker

Piwigo bug tracker has moved to Github

This bugtracker is kept to provide history on old issues.


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000524Piwigouser commentspublic2006.08.19 10:102006.11.22 05:40
ReporterVDigital 
Assigned Torvelices 
PrioritynormalSeverityfeatureReproducibilitysometimes
StatusclosedResolutionfixed 
PlatformAnyOSAnyOS VersionAny
Product Version1.6.1 
Target VersionFixed in VersionAlligator 1 
Summary0000524: Add anti-spam for comments...
DescriptionAnyway we need one.

Force validation if more than n links.
Add an optional captcha.
Don't manage a black list of terms (easy to do but not efficient)...
TagsNo tags attached.
browserany
Database engine and version
PHP version
Web serverApache 1.3.x
Attached Files

- Relationships
related to 0000518closed Possibilit√© de supprimer ou de valider des commentaires sans autorisation 
has duplicate 0000570closed Filtre AntiSpam sur les commentaires 
related to 0000597closedVDigital Unvalidated comments are displayed on public side (Spamming related) 
related to 0000625closedrvelices Enhancements against spam robots 

-  Notes
(0001403)
plg (manager)
2006.08.22 16:41

> Force validation if more than n links.

Very good idea. This one will surely avoid the biggest part of spams.

> Add an optional captcha.

Quite complicated, if we can avoid it, we avoid it. I'm opposed to a graphical captcha. I'd be much more in favor of a "simple question captcha", such as "what is the color of an orange?". The problem is that questions are linked to a language. So we would have to place questions in language files (common.lang.php or captcha.lang.php) with an array of {question, answer}.

> Don't manage a black list of terms (easy to do but not efficient)...

I agree, this solution is hardly efficient.
(0001510)
rvelices (developer)
2006.11.15 03:09

So here I start to have spams so what I propose as PWG standard spam check is:
- action when spam detected (needs validation or reject)
- do the spam check for everyone or guests only (a user registered within last 24 hours is considered a guest)
- check on max number of links
- check remote IP against spamhaus ( http://www.spamhaus.org/sbl/index.lasso [^] ) - easy to do 3 lines of code

(With the same occasion - ability to write spam check plugins and I will remove the call to htmlspecialchars before comment inserted in the database)
(0001543)
rvelices (developer)
2006.11.22 05:40

[Subversion] r1610

- Issue History
Date Modified Username Field Change
2006.08.19 10:10 VDigital New Issue
2006.08.19 10:10 VDigital browser => any
2006.08.19 10:10 VDigital Web server => Apache 1.3.x
2006.08.21 13:33 plg Note Added: 0001399
2006.08.21 16:19 VDigital Note Added: 0001400
2006.08.21 16:22 VDigital Note Added: 0001401
2006.08.21 16:27 VDigital Relationship added related to 0000518
2006.08.22 16:20 plg Description Updated
2006.08.22 16:20 plg Steps to Reproduce Updated
2006.08.22 16:20 plg Note Deleted: 0001399
2006.08.22 16:20 plg Note Deleted: 0001401
2006.08.22 16:20 plg Note Deleted: 0001400
2006.08.22 16:21 plg Description Updated
2006.08.22 16:41 plg Note Added: 0001403
2006.08.22 16:41 plg Status new => acknowledged
2006.10.26 10:21 plg Relationship added has duplicate 0000570
2006.11.15 03:08 rvelices Assigned To => rvelices
2006.11.15 03:08 rvelices Status acknowledged => assigned
2006.11.15 03:08 rvelices Additional Information Updated
2006.11.15 03:09 rvelices Note Added: 0001510
2006.11.15 03:09 rvelices Additional Information Updated
2006.11.22 05:40 rvelices Note Added: 0001543
2006.11.22 05:40 rvelices Status assigned => closed
2006.11.22 05:40 rvelices Resolution open => fixed
2006.11.22 05:40 rvelices Fixed in Version => Alligator (trunk)
2006.12.02 08:14 VDigital Relationship added related to 0000597
2007.01.18 23:08 rvelices Relationship added related to 0000625


Copyright © 2000 - 2019 MantisBT Team
Contact
Powered by Mantis Bugtracker